from django.db import models

DEPARTMENT_CHOICES = {'PROG': 'Programme',
                      'SOFT': 'Softwareentwicklung',
                      'CENT': 'Central',
                      'VOR': 'Vorstand',}

class Employee(models.Model):
    firstname = models.CharField(max_length=50, verbose_name="Vorname")
    lastname = models.CharField(max_length=50, verbose_name="Nachname")
    email = models.CharField(max_length=50, verbose_name="E-Mail-Adresse")
    department = models.CharField(max_length=5, choices=DEPARTMENT_CHOICES.items())
    team = models.CharField(max_length=20, null=True, blank=True)

    firstdate_employment = models.DateField(null=True, verbose_name="erster Arbeitstag")
    firstdate_presence = models.DateField(null=True, verbose_name="erster Tag der Anwesenheit in der Geschäftsstelle")
    jobdescription_german = models.CharField(null=True, max_length=100, verbose_name="Stellenbeschreibung(deutsch)")
    jobdescription_english = models.CharField(null=True, max_length=100, verbose_name="job description(english)")
    desk = models.CharField(max_length=100, null=True, verbose_name="Wo soll der Arbeitsplatz sein?")
    # TODO: we need an optional question for remote work here
